package org.brapi.test.BrAPITestServer.model.dto.geno;

public class CallWriteRequest {
    private String callDbId;
    private String callSetDbId;
    private String variantDbId;
    private String genotype;
    private Integer readDepth;
    private Double genotypeLikelihood;
    private String phaseSet;

    public String getCallDbId() {
        return callDbId;
    }

    public void setCallDbId(String callDbId) {
        this.callDbId = callDbId;
    }

    public String getCallSetDbId() {
        return callSetDbId;
    }

    public void setCallSetDbId(String callSetDbId) {
        this.callSetDbId = callSetDbId;
    }

    public String getVariantDbId() {
        return variantDbId;
    }

    public void setVariantDbId(String variantDbId) {
        this.variantDbId = variantDbId;
    }

    public String getGenotype() {
        return genotype;
    }

    public void setGenotype(String genotype) {
        this.genotype = genotype;
    }

    public Integer getReadDepth() {
        return readDepth;
    }

    public void setReadDepth(Integer readDepth) {
        this.readDepth = readDepth;
    }

    public Double getGenotypeLikelihood() {
        return genotypeLikelihood;
    }

    public void setGenotypeLikelihood(Double genotypeLikelihood) {
        this.genotypeLikelihood = genotypeLikelihood;
    }

    public String getPhaseSet() {
        return phaseSet;
    }

    public void setPhaseSet(String phaseSet) {
        this.phaseSet = phaseSet;
    }
}
